Skip to content
Amplify APIReference

List Budgets for a Marketer

GET/marketers/{id}/budgets
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

the id of the Marketer

Query Parameters

detachedOnly?boolean

return only budgets that are not attached to any campaign

Response Body

application/json

curl -X GET "https://example.com/marketers/00f4b02153ee75f3c9dc4fc128ab041962/budgets?detachedOnly=true"
{  "count": 1,  "budgets": [    {      "id": "00f4b02153ee75f3c9dc4fc128ab041962",      "name": "Boost 'ABC' Brand budget",      "shared": false,      "amount": 100,      "currency": "USD",      "amountRemaining": 100,      "amountSpent": 0,      "creationTime": "2013-10-16 12:24:01",      "lastModified": "2013-10-16 12:24:01",      "startDate": "2013-11-16",      "runForever": false,      "type": "CAMPAIGN",      "pacing": "DAILY_TARGET",      "dailyTarget": 200,      "maximumAmount": 200    }  ]}